こんにちは、鶴谷です。

"K.Magara" <mag...@maizuru-ct.ac.jp> さん>

> はい。ですが libphp5.so では ldd コマンドが効かないので
> ports option で指定(デフォルト)のCLI(CGI?)版で見てみました。

うちではなんか出力してくれますが...
h120[root] % ldd /usr/local/libexec/apache22/libphp5.so
/usr/local/libexec/apache22/libphp5.so:
        libcrypt.so.4 => /lib/libcrypt.so.4 (0x33d8b000)
        libm.so.5 => /lib/libm.so.5 (0x33da4000)
        libxml2.so.5 => /usr/local/lib/libxml2.so.5 (0x341b8000)
        libz.so.4 => /lib/libz.so.4 (0x33db9000)
        libiconv.so.3 => /usr/local/lib/libiconv.so.3 (0x342dd000)
        libc.so.7 => /lib/libc.so.7 (0x33c89000)

ところで、phpinfoでの確認もやってみましたが、php5-xml〜 を再ビルド&インストールすると、
libxml2のバージョンと一致しました(これをする前は、古いままだった)。
実際のところ、表記上の問題なのか、本当に古いままのものが
静的にリンクされているのかは知りません。

-- 
鶴谷 直樹
E-mail: turut...@scphys.kyoto-u.ac.jp

メールによる返信